:root {
  --grün1: #79e869;
  --grün2: #5ce348;
  --grün3: #3fde28;
  --grün4: #33c31e;
  --backcol: #fafafa;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Outfit", sans-serif;
  cursor: url("../images/graphics/cursor_paw.svg"), auto;
  background-color: #fafafa;
}

h1 {
  font-size: 2.5em;
}

p {
  font-size: 1.5em;
}

h2 {
  font-size: 2em;
  font-weight: 500;
  text-align: center;
  margin-bottom: 1%;
}

::-moz-selection {
  background: black;
  color: white;
}
::selection {
  background: black;
  color: white;
}

.header-box {
  position: relativfie;
}

.logo-box {
  width: 13%;
  position: absolute;
  z-index: 4;
  margin-left: 2%;
  transition: 0.7s ease;
}

.navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #33c31e;
  width: 100%;
  padding: 0.5% 1% 0.5% 0;
  position: fixed;
  z-index: 3;
}

.nav-filler {
  width: 100%;
  height: 6.7em;
  margin-top: 2%;
  position: absolute;
  z-index: 2;
}

.nav-menu {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2em;
  height: 30%;
}

.nav-link {
  font-size: 1.5em;
  font-weight: 500;
  text-decoration: none;
  color: black;
}

.nav-link:hover {
  text-decoration: underline;
  color: rgb(0, 0, 0);
}

.hamburger {
  display: none;
  cursor: pointer;
  margin-right: 2%;
}

.bar {
  display: block;
  width: 30px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3 ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: black;
  border-radius: 50px;
}

/*main*/
main {
  display: flex;
  justify-content: center;
}

section {
  margin-bottom: 3%;
}

.main-section {
  max-width: 80em;
}

.first-section {
  display: flex;
  flex-direction: row;
  margin-top: 30%;
  margin-left: 2.5%;
  margin-right: 2.5%;
}

.second-section {
  margin-left: 2.5%;
  margin-right: 2.5%;
}

.third-section {
  margin-left: 2.5%;
  margin-right: 2.5%;
  padding: 1%;
  background-color: #3fde28;
  border-radius: 1em;
}

.third-section article h2 {
  text-align: left;
}

.third-section article span {
  color: white;
  font-weight: bold;
}

.fourth-section {
  margin-left: 2.5%;
  margin-right: 2.5%;
  margin-bottom: 10%;
}

.picture-box {
  width: 50%;
  overflow: hidden;
  border-radius: 30px;
}

.landing-picture {
  width: 100%;
  border-radius: 50px;
  object-fit: cover;
  transition: transform 1.8s;
  transform: scale(1.2);
  -ms-transform: scale(1.2);
  -webkit-transform: scle(1.2);
}

.landing-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;
  text-align: center;
}

.kontakt-button {
  margin-top: 3%;
  padding: 8px 25px 8px 25px;
  border-radius: 20px;
  background-color: #33c31e;
  font-weight: 500;
  text-decoration: none;
  color: black;
  font-size: 1.3em;
}

.kontakt-button:hover {
  background-color: #79e869;
  transition: all 0.3s ease-in;
}

/*accordion*/
.accordion {
  background-color: #eee;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 1.5em;
  transition: 0.4s;
}

.accordion:hover {
  background-color: #79e869;
}

.accordion:after {
  content: "\002B";
  transition: all 0.1s ease-out;
  color: #000000;
  font-weight: bold;
  float: right;
  margin-left: 5px;
}

.active2:after {
  content: "\002B";
  transform: rotate(45deg);
  transition: all 0.1s ease-out;
}

.active2 {
  background-color: #33c31e;
}

.panel {
  background-color: #eee;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.panel ul {
  margin: 2%;
}

button {
  margin-top: 2%;
}

.panel-button-container {
  display: flex;
  justify-content: flex-end;
}

.panel-button-container .kontakt-button {
  margin-top: 0;
  margin-bottom: 2%;
  margin-right: 2%;
}

.welcome-text-list {
  list-style-position: outside;
  padding-left: 5%;
  font-size: 1.5em;
}

/*footer*/

.footer-col ul li {
  list-style: none;
}

.footer {
  background-color: #79e869;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
  border-top: 0.2em #33c31e solid;
  cursor: auto;
}

.footer-col-logo {
  width: min(250px);
  margin: 1%;
  display: flex;
  justify-content: center;
}

.footer-col {
  width: min(250px);
  margin: 1%;
  padding-top: 0.5%;
}

.footer-headline {
  font-weight: 700;
  font-size: 1.2em;
  color: rgb(0, 0, 0);
  margin-bottom: 6%;
}

.footer-link {
  color: rgb(0, 0, 0);
  font-weight: 500;
  text-decoration: none;
  line-height: 1.5em;
}

.footer-link:hover {
  text-decoration: underline;
}

.footer-contact {
  font-weight: 500;
}

.footer-contact-number {
  text-decoration: none;
}

.footer-contact-number:hover {
  color: #ffffff;
}

.footer-contact-email {
  text-decoration: none;
  line-height: 3em;
}

.footer-contact-email:hover {
  color: #ffffff;
}

.social-link {
  display: inline-block;
  height: 40px;
  width: 40px;
}

.social-picture {
  height: 70%;
  margin: 5px;
}

.footer-point {
  width: 75%;
}

.footer-line {
  background-color: #33c31e;
  padding: 0.5% 0.5% 0.5% 0;
  width: 100%;
  display: flex;
  justify-content: center;
}

.legal-text {
  font-size: 1em;
}

@media (max-width: 1200px) {
  .navbar {
    justify-content: flex-end;
    height: 3em;
  }

  .nav-menu {
    margin: 0%;
  }

  .nav-filler {
    margin-top: 4%;
  }
}

@media (max-width: 700px) {
  h1 {
    font-size: 2.2em;
  }

  h2 {
    font-size: 1.7em;
  }

  p {
    font-size: 1.3em;
  }

  .accordion {
    font-size: 1.2em;
  }

  .welcome-text-list {
    font-size: 1.2em;
  }

  .hamburger {
    display: block;
  }

  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }

  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

  .navbar {
    justify-content: flex-end;
  }

  .nav-filler {
    position: fixed;
    margin-top: 10%;
  }

  .nav-menu {
    position: fixed;
    right: -100%;
    top: 34px;
    gap: 0;
    flex-direction: column;
    background-color: #33c31e;
    width: 100%;
    text-align: center;
    transition: 0.3s;
    height: 40%;
  }

  .nav-link {
    margin: 1%;
  }

  .nav-menu.active {
    right: 0;
  }

  .logo-box {
    width: 25%;
    position: fixed;
  }

  /*Landingpage*/
  .first-section {
    flex-direction: column;
    align-items: center;
  }

  .landing-info {
    width: 100%;
    margin-bottom: 5%;
  }

  .picture-box {
    width: 100%;
  }

  .legal-text {
    font-size: 0.8em;
  }
}

@media (max-width: 600px) {
  h1 {
    font-size: 2em;
  }

  h2 {
    font-size: 1.5em;
  }

  p {
    font-size: 1.1em;
  }

  .accordion {
    font-size: 1em;
  }

  .welcome-text-list {
    font-size: 1em;
  }
}
